package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.StaffingPlanRecordPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.StaffingPlanRecordSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.StaffingPlanRecordDO;

import javax.validation.Valid;

/**
 * 编制计划记录 Service
 */
public interface StaffingPlanRecordService {

    Long createStaffingPlanRecord(@Valid StaffingPlanRecordSaveReqVO createReqVO);

    void updateStaffingPlanRecord(@Valid StaffingPlanRecordSaveReqVO updateReqVO);

    void deleteStaffingPlanRecord(Long id);

    StaffingPlanRecordDO getStaffingPlanRecord(Long id);

    PageResult<StaffingPlanRecordDO> getStaffingPlanRecordPage(StaffingPlanRecordPageReqVO pageReqVO);
}

